using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PowerUpScript : MonoBehaviour
{
    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void FixedUpdate()
    {
        transform.Rotate(Vector3.up, 1);
    }

    private void OnTriggerEnter(Collider other)
    {
        if (other.GetComponent<Piece>() != null)
        {
            other.GetComponent<Piece>().PowerUp();
            Destroy(gameObject);
        }
        if (other.transform.parent.GetComponent<Piece>() != null)
        {
            other.transform.parent.GetComponent<Piece>().PowerUp();
            Destroy(gameObject);
        }
    }
}
